METASOURCES = AUTO

INCLUDES = -I$(top_srcdir)/libkpimidentities -I$(top_srcdir)/libkcal \
           -I$(top_srcdir)/tderesources/kolab/shared -I$(top_srcdir) \
           -I$(top_srcdir)/knotes \
           -I$(top_srcdir)/certmanager/lib \
            -I$(top_builddir)/tderesources/groupwise \
           -I$(top_builddir)/tderesources/lib \
           -I$(top_srcdir)/tderesources/lib \
           $(all_includes)

bin_PROGRAMS = groupwarewizard egroupwarewizard sloxwizard kolabwizard \
               groupwisewizard exchangewizard scalixwizard

kde_module_LTLIBRARIES = libegroupwarewizard.la libsloxwizard.la \
                         libkolabwizard.la \
                         libexchangewizard.la \
                         libgroupwisewizard.la \
                         libscalixwizard.la


groupwarewizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
groupwarewizard_LDADD = libegroupwarewizard.la libsloxwizard.la $(LIB_TDEUI) \
                        libkolabwizard.la \
                        libexchangewizard.la \
                        libgroupwisewizard.la
groupwarewizard_SOURCES = groupwarewizard.cpp main.cpp overviewpage.cpp

# Kolab
libkolabwizard_la_LDFLAGS = -avoid-version -no-undefined $(all_libraries)
libkolabwizard_la_LIBADD = $(top_builddir)/tderesources/kolab/kcal/libkcalkolab.la \
                           $(top_builddir)/tderesources/kolab/tdeabc/libtdeabckolab.la \
                           $(top_builddir)/tderesources/kolab/knotes/libknoteskolab.la \
                           $(top_builddir)/libkcal/libkcal.la \
                           $(top_builddir)/libtdepim/libtdepim.la \
                           $(top_builddir)/libkpimidentities/libkpimidentities.la

libkolabwizard_la_SOURCES = kolabwizard.cpp kmailchanges.cpp kolabconfig.kcfgc \
  kolabkmailchanges.cpp

kolabwizard_LDADD = libkolabwizard.la $(LIB_TDEUI)
kolabwizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kolabwizard_SOURCES = kolabmain.cpp

# eGroupware
libegroupwarewizard_la_LDFLAGS = -avoid-version -no-undefined $(all_libraries)
libegroupwarewizard_la_SOURCES = egroupwarewizard.cpp egroupwareconfig.kcfgc
libegroupwarewizard_la_LIBADD = $(top_builddir)/tderesources/egroupware/libtdeabc_xmlrpc.la \
                                $(top_builddir)/tderesources/egroupware/libkcal_xmlrpc.la \
                                $(top_builddir)/tderesources/egroupware/libknotes_xmlrpc.la \
                                $(top_builddir)/libkcal/libkcal.la \
                                $(top_builddir)/libtdepim/libtdepim.la \
                                $(LIB_TDEUI)

egroupwarewizard_LDADD = libegroupwarewizard.la
egroupwarewizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
egroupwarewizard_SOURCES = egroupwaremain.cpp

# SLOX
libsloxwizard_la_LDFLAGS = -avoid-version -no-undefined $(all_libraries)
libsloxwizard_la_SOURCES = sloxwizard.cpp sloxconfig.kcfgc
libsloxwizard_la_LIBADD = $(top_builddir)/tderesources/slox/libkcal_slox.la \
                          $(top_builddir)/tderesources/slox/libtdeabc_slox.la \
                          $(top_builddir)/libtdepim/libtdepim.la

sloxwizard_LDADD = libsloxwizard.la
sloxwizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
sloxwizard_SOURCES = sloxmain.cpp

# GroupWise
libgroupwisewizard_la_LDFLAGS = -avoid-version -no-undefined $(all_libraries)
libgroupwisewizard_la_SOURCES = groupwisewizard.cpp groupwiseconfig.kcfgc \
  kmailchanges.cpp
libgroupwisewizard_la_LIBADD = $(top_builddir)/tderesources/groupwise/libkcal_groupwise.la \
                          $(top_builddir)/tderesources/groupwise/libtdeabc_groupwise.la \
                          $(top_builddir)/libtdepim/libtdepim.la \
                          $(top_builddir)/libkpimidentities/libkpimidentities.la
libgroupwisewizard_la_COMPILE_FIRST = $(top_builddir)/tderesources/groupwise/tdeabc_groupwiseprefs.h \
                                      $(top_builddir)/tderesources/groupwise/kcal_groupwiseprefsbase.h


groupwisewizard_LDADD = libgroupwisewizard.la
groupwisewizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
groupwisewizard_SOURCES = groupwisemain.cpp

# Exchange
libexchangewizard_la_LDFLAGS = -avoid-version -no-undefined $(all_libraries)
libexchangewizard_la_SOURCES = exchangewizard.cpp
libexchangewizard_la_LIBADD = $(top_builddir)/tderesources/newexchange/libkcal_newexchange.la \
                              $(top_builddir)/tderesources/newexchange/libtdeabc_newexchange.la \
                              $(top_builddir)/libtdepim/libtdepim.la

exchangewizard_LDADD = libexchangewizard.la
exchangewizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
exchangewizard_SOURCES = exchangemain.cpp

# Scalix
libscalixwizard_la_LDFLAGS = -avoid-version -no-undefined $(all_libraries)
libscalixwizard_la_LIBADD = $(top_builddir)/tderesources/scalix/kcal/libkcalscalix.la \
                           $(top_builddir)/tderesources/scalix/tdeabc/libtdeabcscalix.la \
                           $(top_builddir)/libkcal/libkcal.la \
                           $(top_builddir)/libtdepim/libtdepim.la \
                           $(top_builddir)/libkpimidentities/libkpimidentities.la

libscalixwizard_la_SOURCES = scalixwizard.cpp kmailchanges.cpp scalixconfig.kcfgc \
  scalixkmailchanges.cpp

scalixwizard_LDADD = libscalixwizard.la $(LIB_TDEUI)
scalixwizard_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
scalixwizard_SOURCES = scalixmain.cpp

noinst_HEADERS = egroupwarewizard.h kmailchanges.h kolabwizard.h sloxwizard.h \
                 groupwisewizard.h exchangewizard.h

kde_kcfg_DATA = egroupware.kcfg slox.kcfg kolab.kcfg groupwise.kcfg scalix.kcfg

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/tdepimwizards.pot

egroupwarewizard.lo: ../tderesources/egroupware/tdeabc_egroupwareprefs.h ../tderesources/egroupware/kcal_egroupwareprefs.h ../tderesources/egroupware/knotes_egroupwareprefs.h
exchangewizard.lo: ../tderesources/lib/tderesources_groupwareprefs.h
sloxwizard.lo: ../tderesources/slox/tdeabcsloxprefs.h ../tderesources/slox/kcalsloxprefs.h

xdg_apps_DATA = groupwarewizard.desktop
